#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    int p;
    p = n * 2;
    for(int i = 1; i <= n; i++)
    {
            if(i!=n)
            {
                if(i%2==1)
                {
                    a[i] = i;
                    b[i] = p--;
                }
                else
                {
                    a[i] = p--;
                    b[i] = i;
                }
            }
            else
            {
                a[0] = p;
                b[0] = i;
            }
    }
    for(int i = 0; i < n; i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 0; i < n; i++)
    {
        cout << b[i] << " ";
    }

}